%define oname   webmock

Name:       ruby-%{oname}
Version:    3.8.3
Release:    %mkrel 1
Summary:    Library for stubbing HTTP requests in Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://github.com/bblimke/webmock
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
# To avoid generating a dependency on /usr/bin/rake
BuildRequires: ruby-rake
BuildArch:  noarch

%description
WebMock allows stubbing HTTP requests and setting expectations on HTTP
requests.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc LICENSE CHANGELOG.md
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 3.8.3-1.mga8
+ Revision: 1561774
- Update to 3.8.3

* Fri Feb 14 2020 umeabot <umeabot> 3.5.1-3.mga8
+ Revision: 1522621
- Mageia 8 Mass Rebuild

* Sun Feb 03 2019 pterjan <pterjan> 3.5.1-2.mga7
+ Revision: 1362920
- Fix file dependency on rake

* Fri Jan 25 2019 pterjan <pterjan> 3.5.1-1.mga7
+ Revision: 1360889
- Update to 3.5.1

* Fri Sep 21 2018 umeabot <umeabot> 3.4.2-2.mga7
+ Revision: 1291441
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 pterjan <pterjan> 3.4.2-1.mga7
+ Revision: 1234659
- Update to 3.4.2

* Thu May 17 2018 pterjan <pterjan> 3.4.1-1.mga7
+ Revision: 1230144
- Update to 3.4.1

* Sun Apr 01 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1214475
- Update to 3.3.0

* Sun Aug 20 2017 pterjan <pterjan> 3.0.1-1.mga7
+ Revision: 1141933
- Update to 3.0.1

* Sun Mar 13 2016 pterjan <pterjan> 1.24.2-1.mga6
+ Revision: 990167
- Update to 1.24.2

* Sun Feb 14 2016 pterjan <pterjan> 1.22.3-1.mga6
+ Revision: 960158
- Update to 1.22.3

* Wed Oct 15 2014 umeabot <umeabot> 1.8.11-8.mga5
+ Revision: 750201
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.11-7.mga5
+ Revision: 730110
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.11-6.mga5
+ Revision: 688997
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.8.11-5.mga4
+ Revision: 562613
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.8.11-4.mga4
+ Revision: 535870
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.8.11-3.mga4
+ Revision: 482741
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.8.11-3.mga3
+ Revision: 396603
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.8.11-2.mga3
+ Revision: 381624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.8.11-1.mga3
+ Revision: 314074
- new version 1.8.11

* Thu Jun 07 2012 solbu <solbu> 1.7.4-1.mga3
+ Revision: 256695
- New version
- Spec cleanup

* Thu Feb 03 2011 shikamaru <shikamaru> 1.6.2-1.mga1
+ Revision: 46663
- more BRs
- add jeweler to the list of dependencies
- add rake in the BR
- imported package ruby-webmock

